From 9d82b4e61ed58e48075d23c90c741b918af66149 Mon Sep 17 00:00:00 2001
From: Paul Mercea <p.mercea@dkfz-heidelberg.de>
Date: Fri, 10 Apr 2015 13:31:08 +0200
Subject: [PATCH] added csv support to NavigationDataPlayer

---
 .../src/internal/QmitkNavigationDataPlayerView.cpp |   23 ++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

diff --git a/Plugins/org.mitk.gui.qt.igttracking/src/internal/QmitkNavigationDataPlayerView.cpp b/Plugins/org.mitk.gui.qt.igttracking/src/internal/QmitkNavigationDataPlayerView.cpp
index 140d7cf..3c06c30 100644
--- a/Plugins/org.mitk.gui.qt.igttracking/src/internal/QmitkNavigationDataPlayerView.cpp
+++ b/Plugins/org.mitk.gui.qt.igttracking/src/internal/QmitkNavigationDataPlayerView.cpp
@@ -23,7 +23,9 @@ See LICENSE.txt or http://www.mitk.org for details.
 
 //mitk
 #include <mitkNavigationDataSet.h>
+#include <mitkNavigationDataReaderInterface.h>
 #include <mitkNavigationDataReaderXML.h>
+#include <mitkNavigationDataReaderCSV.h>
 #include <mitkNavigationDataSequentialPlayer.h>
 #include <mitkNavigationDataPlayer.h>
 #include <mitkVirtualTrackingTool.h>
@@ -81,15 +83,28 @@ void QmitkNavigationDataPlayerView::CreateConnections()
   this->SetInteractionComponentsEnabledState(false);
 }
 
-void QmitkNavigationDataPlayerView::OnOpenFile(){
-  mitk::NavigationDataReaderXML::Pointer reader = mitk::NavigationDataReaderXML::New();
+void QmitkNavigationDataPlayerView::OnOpenFile()
+{
+  mitk::NavigationDataReaderInterface::Pointer reader = NULL;
+
+  QString filter = tr("NavigationData File (*.csv *.xml)");
+
+  QString fileName = QFileDialog::getOpenFileName(NULL, tr("Open NavigationData Set"), "", filter);
 
-  // FIXME Filter for correct Files and use correct Reader
-  QString fileName = QFileDialog::getOpenFileName(NULL, "Open Navigation Data Set", "", "XML files (*.xml)"); //"XML files (*.xml);; Csv files (*.csv)" for additional csv files. Not supported yet.
   if ( fileName.isNull() ) { return; } // user pressed cancel
 
   try
   {
+    QString suffix = QFileInfo(fileName).suffix().toLower();
+    if(suffix == "xml")
+    {
+      reader = mitk::NavigationDataReaderXML::New();
+    }
+    else if(suffix == "csv")
+    {
+      reader = mitk::NavigationDataReaderCSV::New();
+    }
+
     m_Data = reader->Read(fileName.toStdString());
   }
   catch ( const mitk::Exception &e )
-- 
1.7.10.msysgit.1

